package com.hitex.jobEVN.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.persistence.*;
import java.time.LocalDateTime;

@Entity
@Data
@Table(name = "bsx_vh_unit_day")
public class BsxVhUnitDay {
    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Column(name = "id")
    private int id;
    @Column(name = "unitid")
    private String unitId;
    @Column(name = "day")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime day;
    @Column(name = "EMF")
    private double emf;
    @Column(name = "EMF_K")
    private double emfK;
    @Column(name = "EMF_DO")
    private double emfDo;
    @Column(name = "ETD")
    private double etd;
    @Column(name = "ETD_K")
    private double etdK;
    @Column(name = "ETD_DO")
    private double etdDo;
    @Column(name = "ETDSXD")
    private double etdsxd;
    @Column(name = "ETDXS")
    private double etdxs;
    @Column(name = "ETDCB")
    private double etdcb;
    @Column(name = "EDB")
    private double edb;
    @Column(name = "EDB_K")
    private double edbK;
    @Column(name = "EDB_DO")
    private double edbDo;
    @Column(name = "OH")
    private double oh;
    @Column(name = "OHLK")
    private double ohlk;
    @Column(name = "EOH")
    private double eoh;
    @Column(name = "EOHLK")
    private double eohlk;
    @Column(name = "H_VHKHI")
    private double hVhkhi;
    @Column(name = "H_VHDAU")
    private double hVhdau;
    @Column(name = "H_DUNGDUPHONG")
    private double hDungduphong;
    @Column(name = "H_DUNGSCL")
    private double hDungscl;
    @Column(name = "H_DUNGSCTX")
    private double hDungsctx;
    @Column(name = "H_DUNGSUCO")
    private double hDungsuco;
    @Column(name = "H_DUNGSCBT")
    private double hDungscbt;
    @Column(name = "H_DUNG_NGUYENNHAN")
    private String hDungNguyenNhan;
    @Column(name = "Qcm")
    private double qcm;
    @Column(name = "KLNUOCCM")
    private double klnuoccm;
    @Column(name = "USER_ID_DIEN")
    private String userIdDien;
    @Column(name = "USER_DTIME_DIEN")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime userDtimeDien;
    @Column(name = "USER_ID_H")
    private String userIdH;
    @Column(name = "USER_DTIME_H")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime userDtimeH;
    @Column(name = "USER_ID_TV")
    private String userIdTv;
    @Column(name = "USER_DTIME_TV")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime userDtimeTv;
    @Column(name = "DIEN_NANG_NHAN")
    private double dienNangNhan;
    @Column(name = "DIEN_NANG_NHAN_CHAY_BU")
    private double dienNangNhanChayBu;
    @Column(name = "DIEN_NANG_PHAN_KHANG")
    private double dienNangPhanKhang;
    @Column(name = "TON_THAT_MBA_KICH_TU")
    private double tonThatMbaKichTu;
    @Column(name = "TON_THAT_MBA_NANG")
    private double tonThatMbaNang;
    @Column(name = "M_DUNGSCBT")
    private double mDungscbt;
    @Column(name = "M_DUNGSCL")
    private double mDungscl;
    @Column(name = "M_DUNGSUCO")
    private double mDungsuco;
    @Column(name = "NLdaudoton_T")
    private double nLDauDOTonT;
    @Column(name = "NLdaudott_KD")
    private double nLDauDOTTKd;
    @Column(name = "NLdaudott_SCL")
    private double nLDauDOTTScl;
    @Column(name = "NLdaudott_SX")
    private double nLDauDOTTSx;
    @Column(name = "NLdaudott_T")
    private double nLDauDOTTT;
    @Column(name = "NLDaufott_KD")
    private double nLDauFOTTKd;
    @Column(name = "NLDaufott_SCL")
    private double nLDauFOTTScl;
    @Column(name = "NLdaufott_SX")
    private double nLdauFOTTSx;
    @Column(name = "NLdaufott_T")
    private double nLDauFOTTT;
    @Column(name = "NLdaufoton_T")
    private double nLDauFOTonT;
    @Column(name = "NLdavoiton_T")
    private double nLDaVoiTonT;
    @Column(name = "NLdavoiTT_KD")
    private double nLDaVoiTTKd;
    @Column(name = "NLdavoiTT_SCL")
    private double nLDaVoiTTScl;
    @Column(name = "NLdavoiTT_SX")
    private double nLDaVoiTTSx;
    @Column(name = "NLdavoiTT_T")
    private double nLDaVoiTTT;
    @Column(name = "NLkhiTT_KD")
    private double nLKhiTTKd;
    @Column(name = "NLkhiTT_SCL")
    private double nLKhiTTScl;
    @Column(name = "NLkhiTT_SX")
    private double nLKhiTTSx;
    @Column(name = "NLkhiTT_T")
    private double nLkhiTTT;
    @Column(name = "NLnuocTT")
    private double nLNuocTT;
    @Column(name = "NLthantonTC_T")
    private double nLThanTonTCT;
    @Column(name = "NLthantonTN_T")
    private double nLThanTonTNT;
    @Column(name = "NLthanTTTC_KD")
    private double nLThanTTTCKd;
    @Column(name = "NLthanTTTC_SCL")
    private double nLThanTTTCScl;
    @Column(name = "NLthanTTTC_SX")
    private double nLThanTTTCSx;
    @Column(name = "NLthanTTTC_T")
    private double nLThanTTTCT;
    @Column(name = "NLthanTTTN_KD")
    private double nLThanTTTNKd;
    @Column(name = "NLthanTTTN_SCL")
    private double nLThanTTTNScl;
    @Column(name = "NLthanTTTN_SX")
    private double nLThanTTTNSx;
    @Column(name = "NLthanTTTN_T")
    private double nLThanTTTNT;
    @Column(name = "U_P_DES")
    private double uPDes;
    @Column(name = "U_P_LOST")
    private double uPLost;
    @Column(name = "U_P_LOST_SCBT")
    private double uPLostScbt;
    @Column(name = "U_P_LOST_SCL")
    private double uPLostScl;
    @Column(name = "U_P_LOST_SUCO")
    private double uPLostSuco;
    @Column(name = "khoi_dong")
    private int khoiDong;
    @Column(name = "H_CHAYBU")
    private double hChayBu;
    @Column(name = "H_DIEUTAN")
    private double hDieuTan;
    @Column(name = "DN_PHANKHANG_NHAN")
    private double dnPhanKhangNhan;
    @Column(name = "DN_MBA_KICH_TU_TE")
    private double dnMbaKichTuTe;
    @Column(name = "DN_TD_TD9")
    private double dnTdTd9;
    @Column(name = "NLDauDO_NHIETTRI")
    private double nlDauDoNhietTri;
    @Column(name = "NLDAUFO_NHIETTRI")
    private double nlDauFoNhietTri;
}
